[Documentation] [TitleIndex] [WordIndex

Reporting Errors

If you encounter a problem that isn't addressed on this page, please file a ticket

The current list of open issues is available on the Bullet issue tracker and on trac

Common Problems When Using Package

BT_USE_DOUBLE_PRECISION not set

The define BT_USE_DOUBLE_PRECISION is currently exported via the bullet manifest.xml.

If a package uses bullet or any package that depends on it (e.g. tf), and doesn't correctly invoke it, e.g. by using add_library in the CMakeLists.txt, there is no warning or error when compiling or during run time.

However, this will lead to crashes as the linked bullet library will work on doubles and anything compiled with the dependent package will work on floats.


2019-11-16 12:40